package com.ruoyi.common.core.domain.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 用户对象 wx_user
 *
 * @author jin
 * @date 2024-12-01
 */
@Data
public class WxUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 用户名称 */
    @Excel(name = "用户名称")
    private String username;

    /** 用户密码 */
    @Excel(name = "用户密码")
    private String password;

    /** 性别：0 未知， 1男， 1 女 */
    @Excel(name = "性别：0 未知， 1男， 1 女")
    private Long gender;

    /** 生日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /** 最近一次登录时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime lastLoginTime;

    /** 最近一次登录IP地址 */
    @Excel(name = "最近一次登录IP地址")
    private String lastLoginIp;

    /** 用户层级 0 普通用户，1 VIP用户 */
    @Excel(name = "用户层级 0 普通用户，1 VIP月卡用户，2 VIP季卡用户， 3 VIP年卡用户")
    private Integer userLevel;

    /** 用户昵称或网络名称 */
    @Excel(name = "用户昵称或网络名称")
    private String nickname;

    /** 用户手机号码 */
    @Excel(name = "用户手机号码")
    private String mobile;

    /** 用户头像图片 */
    @Excel(name = "用户头像图片")
    private String avatar;

    /** 微信登录openid */
    @Excel(name = "微信登录openid")
    private String wxOpenid;

    /** 0 可用, 1 禁用, 2 注销 */
    @Excel(name = "0 可用, 1 禁用, 2 注销")
    private Long status;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date addTime;

    /** 逻辑删除 */
    @Excel(name = "逻辑删除")
    private Integer deleted;

    /** 积分 */
    @Excel(name = "积分")
    private Long points;

    /** 会员开始充值时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate vipStartTime;

    /** 会员结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate vipEndTime;

    /**
     * 会员等级：1.月卡，2.季卡，3.年卡
     */
    private Integer vipLv;
}
