package com.ruoyi.framework.recovery.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 回收品牌对象 rec_brand
 *
 * @author jin
 * @date 2024-11-16
 */
@Data
@Schema(description = "用户实体")
public class RecBrand extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 回收品牌id */
    @Schema(title = "回收品牌id")
    private Long id;

    /** 品牌名称 */
    @Excel(name = "品牌名称")
    @Schema(title = "品牌名称")
    private String brand;

    /**
     * 父类id
     */
    @Schema(title = "父类id")
    @Excel(name = "父类id")
    private Long parentId;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Schema(title = "创建时间")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private LocalDateTime createDate;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Schema(title = "更新时间")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updateDate;

    /**
     * 子节点
     */
    @Schema(title = "子节点")
    private List<RecBrand> children = new ArrayList<RecBrand>();
}
