package com.ruoyi.framework.recovery.domain;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 回收品牌对象 rec_commodity
 *
 * @author jin
 * @date 2024-11-16
 */
@Data
public class RecCommodity extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 回收商品id */
    private Long id;

    /** 品牌id */
    @Excel(name = "品牌id")
    private Long brandId;

    /** 型号 */
    @Excel(name = "型号")
    private String model;

    /** 货号 */
    @Excel(name = "货号")
    private String catalog;

    /** 发售价 */
    @Excel(name = "发售价")
    private BigDecimal sale;

    /** 市场价 */
    @Excel(name = "市场价")
    private BigDecimal market;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;

    /**
     * 商品规格
     */
    @Excel(name = "商品规格")
    private String specs;

    /**
     * 商品图片地址
     */
    @Excel(name = "商品图片地址")
    private String images;
}
