package com.ruoyi.framework.recovery.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 充值对象 wx_recharge
 *
 * @author jin
 * @date 2024-12-01
 */
@Data
public class WxRecharge extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 充值id */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 用户名 */
    @Excel(name = "用户名")
    private String userName;

    /** 充值金额 */
    @Excel(name = "充值金额")
    private BigDecimal price;

    /** 使用积分 */
    @Excel(name = "使用积分")
    private Long points;

    /** 充值时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "充值时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date payTime;

    /** 删除标记：-1删除，1正常 */
    @Excel(name = "删除标记：-1删除，1正常")
    private String isDel;

    private Long couponsId;

    /**
     * 充值状态：1.正在充值，2.已完成
     *
     */
    private String payStat;

    /**
     * 工单编号
     */
    private String orderNo;

    /**
     * 会员等级：1.月卡，2.季卡，3.年卡
     */
    private Integer vipLv;
}
