package com.ruoyi.framework.recovery.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;

@Data
public class RecSaleInfoDto {

    /** 发售名称 */
    @Excel(name = "发售名称")
    private String saleName;

    /** 发售价格 */
    @Excel(name = "发售价格")
    private String salePrice;

    /** 市场价格 */
    @Excel(name = "市场价格")
    private String market;

    /** 门店id */
    @Excel(name = "门店id")
    private String storeId;

    @Excel(name = "货号")
    private String catalog;

    /**
     * 活动图片
     */
    private String images;

    /**
     * 活动时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime activityTime;

    /**
     * 活动持续时长
     */
    private Integer durationOfTheActivity;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createDate;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updateDate;

    private Character topUp;

    /**
     * 置顶排序
     */
    private Integer topIndex;


}
