package com.ruoyi.wx.web.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

@Data
@Schema(description = "用户实体")
@ApiModel(value = "物品详情实体类")
public class GoodsInfoVo {
    /**
     * id
     */
    @Schema(title = "id")
    private Long id;

    /** 型号 */
    @Excel(name = "型号")
    @Schema(title = "型号")
    private String model;

    /** 发售价 */
    @Excel(name = "发售价")
    @Schema(title = "发售价")
    private BigDecimal sale;

    /** 市场价 */
    @Excel(name = "市场价")
    @Schema(title = "市场价")
    private BigDecimal market;

    /**
     * 商品规格
     */
    @Excel(name = "商品规格")
    @Schema(title = "商品规格")
    private String specs;

    /**
     * 市场价和售价价差
     */
    @Excel(name = "价格差")
    @Schema(title = "价格差")
    private BigDecimal arbitrage;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateDate;
}
